package com.red.circle.console.app.service.app.sys;


import com.red.circle.order.inner.model.cmd.SysProductConfigV2Cmd;
import com.red.circle.order.inner.model.cmd.SysProductConfigV2QryCmd;
import com.red.circle.order.inner.model.dto.SysProductConfigDTO;
import com.red.circle.order.inner.model.dto.SysProductConfigV2DTO;

import java.util.List;

/**
 * <p>
 * 内购产品列表 服务类
 * </p>
 *
 * @author pengshigang
 * @since 2023-03-30
 */
public interface SysProductConfigV2Service {

  List<SysProductConfigV2DTO> listProductConfig(SysProductConfigV2QryCmd query);

  void add(SysProductConfigV2Cmd param);

  void update(SysProductConfigV2Cmd param);

  List<SysProductConfigDTO> listCandyGroupBySysOrigin(String sysOrigin);

}
